#include <bits/stdc++.h>
using namespace std;
const int N=100050;
int n,m;
long long a[N],cnt[N];
int main(){
    scanf("%i %i",&n,&m);
    for(int i=1;i<=n;i++)scanf("%lld",&a[i]);
    for(int i=0;i<=n;i++)cnt[i]=0;
    while(m--){
        int x,y;
        scanf("%i %i",&x,&y);
        if((a[x]>=0&&a[y]>=0)||(a[x]<=0&&a[y]<=0)){
            if(a[x]>=0&&a[y]>=0)cnt[x]++,cnt[y]++;
            else cnt[x]--,cnt[y]--;
        }else{
            if(abs(a[x])>=abs(a[y])){
                if(a[x]<=0)cnt[x]--,cnt[y]--;
                else cnt[x]++,cnt[y]++;
            }else {
                if(a[y]<=0)cnt[x]--,cnt[y]--;
                else cnt[x]++,cnt[y]++;
            }
        }
    }
    long long ans=0;
    for(int i=1;i<=n;i++)ans+=a[i]*cnt[i];
    printf("%lld",ans);
    return 0;
}